# [Zuraaa](https://pub.dev/packages/zuraaa)
### Library to consume the REST API from https://zuraaa.com/ with the http package in Dart.
#### - Features:
|`Method`|`Parameter`|`Return`|
|-|-|-|
|getUser|`String` userId|`Object`|
|getBot|`String` botId|`Object`|
|getUserBots|`String` userId|`List<Object>`|
#### - Instalation:
##### pubspec.yaml
```
    dependencies:
        zuraaa: ^1.0.0
```
```
    pub get
```
#### Import:
```dart
    import 'package:zuraaa/zuraaa.dart' show Zuraaa;
```
#### Example:
```dart
    import 'package:zuraaa/zuraaa.dart' show Zuraaa;

    // To handle the Future of the methods, we use asynchronism
    Future<void> main() async {
        // Instantiating the Zuraaa class
        final zuraaa = Zuraaa();
        // Collecting the information
        final user = await zuraaa.getUser('userId');
        final bot = await zuraaa.getBot('botId');
        final userbots = await zuraaa.getUserBots('userId');
        // Using the information
        print(user['username']);
        print(bot['username']);
        print(userbots);
    }
```