// Importing packages
import 'dart:convert';
import 'package:http/http.dart' show Client;

// Creating an instance of http.Client
final client = Client();

class Zuraaa {
  // Handling exceptions
  void _handle(int statusCode) {
    if (statusCode == 404) {
      throw Exception('ID non-existent or not registered.');
    } else if (statusCode == 406) {
      throw Exception('The user has no robots.');
    }
  }

  // Here we make the request to the desired address
  Future _request(String endpoint) async {
    final response = await client.get('https://zuraaa.com/api/$endpoint');
    // Hnadling exceptions
    _handle(response.statusCode);
    // We convert the result body to JSON Object
    return json.decode(response.body);
  }

  // We collect the information you want

  Future getUser(String userId) {
    return _request('/users/$userId');
  }

  Future getBot(String botId) {
    return _request('/bots/$botId');
  }

  Future getUserBots(String userId) {
    return _request('/users/$userId/bots');
  }
}
